| Bsoft 2.0.5 Bernard's software package

Functions
bshow_helix.tcl File Reference

Procedures to manage helical diffraction patterns. More...

Go to the source code of this file.

## Functions
| Helix
| Dialog box to manage helix information. More...
| setLayerLineIndex
| Dialog box to set the index for the selected layer line. More...
| setLayerLineIndex_and_DestroyWindow w
| Sets the index for a layer line. More...
| layerLineCreateSelect x y
| Creates or selects a layer line. More...
| layerLineSelect x y
| Selects a layer line. More...
| layerLineMove x y
| Moves the selected layer line location. More...
| drawHelixAxis
| Draws a line along the helix axis on the canvas. More...
| layerLineDraw id
| Draws a layer line in the original image on the canvas. More...
| layerLinesDrawAll
| Draws all layer lines on the canvas. More...
| layerLineDelete x y
| Deletes the selected layer line on the canvas. More...
| layerLineDeleteAll
| Deletes all layer lines in list. More...
| layerLinesGenerate
| Generates layer lines from unit cell vectors. More...
| layerLinesGenerate_and_DestroyWindow w
| Generates layer lines from unit cell vectors. More...
| layerLinesMask
| Masks layer lines. More...
| layerLinePlot id order rad
| Plots the selected layer line in the plot canvas. More...
| updateLayerLineParam
| Updates layer line parameters from the micrograph parameters in memory. More...

## Detailed Description

Procedures to manage helical diffraction patterns.

Author
  Bernard Heymann

Date
  Created: 20070516
  Modified: 20160203

Definition in file bshow_helix.tcl.

## Function Documentation

## ◆ drawHelixAxis()

drawHelixAxis

Draws a line along the helix axis on the canvas.

Definition at line 336 of file bshow_helix.tcl.

## ◆ Helix()

Helix

Dialog box to manage helix information.

Definition at line 22 of file bshow_helix.tcl.

## ◆ layerLineCreateSelect()

layerLineCreateSelect |  |  | x y

Creates or selects a layer line.

Parameters

  x |
  y | Layer line position in canvas coordinates.

Definition at line 243 of file bshow_helix.tcl.

## ◆ layerLineDelete()

layerLineDelete |  |  | x y

Deletes the selected layer line on the canvas.

Parameters

  x |
  y | Layer line position in window coordinates.

Definition at line 443 of file bshow_helix.tcl.

## ◆ layerLineDeleteAll()

layerLineDeleteAll

Deletes all layer lines in list.

Definition at line 458 of file bshow_helix.tcl.

## ◆ layerLineDraw()

layerLineDraw |  |  | id

Draws a layer line in the original image on the canvas.

Parameters

  id | Layer line index.

Definition at line 366 of file bshow_helix.tcl.

## ◆ layerLineMove()

layerLineMove |  |  | x y

Moves the selected layer line location.

Parameters

  x |
  y | Layer line position in canvas coordinates.

Definition at line 311 of file bshow_helix.tcl.

## ◆ layerLinePlot()

layerLinePlot |  |  | id order rad

Plots the selected layer line in the plot canvas.

Parameters

  id | Layer line index.
  order | Layer line order.
  rad | Layer line length.

Definition at line 540 of file bshow_helix.tcl.

## ◆ layerLinesDrawAll()

layerLinesDrawAll

Draws all layer lines on the canvas.

Definition at line 416 of file bshow_helix.tcl.

## ◆ layerLineSelect()

layerLineSelect |  |  | x y

Selects a layer line.

Parameters

  x |
  y | Layer line position in canvas coordinates.

Definition at line 276 of file bshow_helix.tcl.

## ◆ layerLinesGenerate()

layerLinesGenerate

Generates layer lines from unit cell vectors.

Definition at line 472 of file bshow_helix.tcl.

## ◆ layerLinesGenerate_and_DestroyWindow()

layerLinesGenerate_and_DestroyWindow |  |  | w

Generates layer lines from unit cell vectors.

Parameters

  w | the window to destroy.

Definition at line 500 of file bshow_helix.tcl.

## ◆ layerLinesMask()

layerLinesMask

Masks layer lines.

Definition at line 525 of file bshow_helix.tcl.

## ◆ setLayerLineIndex()

setLayerLineIndex

Dialog box to set the index for the selected layer line.

Definition at line 159 of file bshow_helix.tcl.

## ◆ setLayerLineIndex_and_DestroyWindow()

setLayerLineIndex_and_DestroyWindow |  |  | w

Sets the index for a layer line.

Parameters

  w | the window to destroy.

Definition at line 209 of file bshow_helix.tcl.

## ◆ updateLayerLineParam()

updateLayerLineParam

Updates layer line parameters from the micrograph parameters in memory.

Definition at line 593 of file bshow_helix.tcl.